2010-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment/DefaultDeployServiceExtension.cs: Get
	  the output file list using the new Project.GetOutputFiles
	  method. This includes the output assembly, but also the
	  debug info file and satellite assemblies.

2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/PackagingProject.xpt.xml: Don't include the
	  assembly name in the project type name since it doesn't work
	  well when running on .NET

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Commands/Commands.cs:
	* MonoDevelop.Deployment.Gui/DeployOperations.cs: Fix
	  incorrect use of ShowCustomDialog/RunCustomDialog.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment.Commands/Commands.cs:
	* MonoDevelop.Deployment.Gui/DeployOperations.cs: More dialog
	  placing.

2010-04-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Targets/CommandPackageBuilder.cs:
	  Track api changes.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.Deployment.csproj:
	* MonoDevelop.Deployment.addin.xml:
	* MonoDevelop.Deployment/PackageBuilder.cs:
	* MonoDevelop.Deployment.Gui/DeployDialog.cs:
	* MonoDevelop.Deployment.Commands/Commands.cs:
	* MonoDevelop.Deployment.Gui/DeployOperations.cs:
	* MonoDevelop.Deployment.Gui/EditPackageDialog.cs:
	* MonoDevelop.Deployment.Gui/EntrySelectionTree.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs:
	* MonoDevelop.Deployment.Gui/DialogFileReplacePolicy.cs:
	* MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs:
	* MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment/DeployProperties.cs: Track
	  ProjectFile Link API.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Gui/PackagingFeature.cs: Track api
	  changes.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.InstallDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.FileReplaceDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.EntrySelectionTree.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.PackagingFeatureWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.SourcesZipEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.BinariesZipEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.CommandDeployEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.FileCopyConfigurationSelector.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.LocalFileCopyConfigurationEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.SshFuseFileCopyConfigurationEditorWidget.cs:
	  Flush.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* templates/PackagingProject.xpt.xml: Move to Other category.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment/IDeployable.cs:
	* MonoDevelop.Deployment/DeployService.cs:
	* MonoDevelop.Deployment/PackageBuilder.cs:
	* MonoDevelop.Deployment/InstallResolver.cs:
	* MonoDevelop.Deployment/PackagingProject.cs:
	* MonoDevelop.Deployment.Gui/DeployOperations.cs:
	* MonoDevelop.Deployment/DeployServiceExtension.cs:
	* MonoDevelop.Deployment.Gui/DeployFileListWidget.cs:
	* MonoDevelop.Deployment/DefaultDeployServiceExtension.cs:
	* MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs:
	  Introduced the ConfigurationSelector class to all methods
	  that previously took a configuration name as string. This
	  eliminates the ambiguity between solution configuration
	  names and project configuration names.

2009-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment/DefaultDeployServiceExtension.cs: Use
	  a runtime-dependent method for getting the debug info file
	  of an assembly.

2009-11-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment/DefaultDeployServiceExtension.cs: Fix
	  .mdb filenames.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.addin.xml: Bump MD version.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment\DefaultDeployServiceExtension.cs:
	  When targetting MS.NET, deploy .pdb files instead of .mdb.

	* MonoDevelop.Deployment.Gui\DialogFileReplacePolicy.cs: Use
	  better method for making a sync call in the gui thread.
	  Fixes bug #550806.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* MonoDevelop.Deployment.csproj:
	* gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.InstallDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.FileReplaceDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.EntrySelectionTree.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.PackagingFeatureWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.SourcesZipEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.BinariesZipEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.CommandDeployEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.FileCopyConfigurationSelector.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.LocalFileCopyConfigurationEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.SshFuseFileCopyConfigurationEditorWidget.cs:
	  Flush.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.addin.xml: Bump MD version.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Gui/DeployFileListWidget.cs: Fix
	  FilePath conversion issue.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Deployment.Commands/Commands.cs: Set dialog transient
	  for the root window.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment/PackageBuilder.cs: When running on
	  command line, don't try to get the opened solution.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs:
	  Improve error reporting.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.addin.xml: Enable serialization of
	  the "Deploy" property. Fixes bug #521374.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.Deployment.Gui.SourcesZipEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.BinariesZipEditorWidget.cs:
	  Flush.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs:
	  Use the new api for removing projects from a solution.

	* MonoDevelop.Deployment.csproj: Don't use a specific version
	  for SharpZipLib.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.FileReplaceDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.InstallDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs:
	  Flush.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment/DeployDirectoryInfo.cs:
	* MonoDevelop.Deployment.Gui/DeployDirectoryInfoEditor.cs:
	  Track api changes.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs:
	* MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs:
	  Use the new DesktopService instead of PlatformService.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment\DeployFile.cs: Use the new FilePath
	  class for handling file and directory paths.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Deployment.Gui/DeployDialog.cs:
	* MonoDevelop.Deployment.Gui/EditPackageDialog.cs: Renamed
	  PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Deployment.Gui/DeployDialog.cs:
	* MonoDevelop.Deployment.Gui/EditPackageDialog.cs: Track API
	  changes.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Deployment.csproj: don't require specific
	gtk-sharp version.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Deployment.Gui/EntrySelectionTree.cs: Removed
	  project service.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.addin.xml: Bump MD version.

2009-03-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* MonoDevelop.Deployment.Targets/SshFuseFileCopyHandler.cs:
	  Making some strings not translatable.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Deployment.Gui/PropertyProvider.cs: Worked on
	  propertygrid localization.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.addin.xml: Track merge of the project
	  pad context menu.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.mdp:
	* MonoDevelop.Deployment.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Deployment.addin.xml: Bump MD version.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment.mdp: Flush project format changes.

2009-01-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* gtk-gui/generated.cs:
	* MonoDevelop.Deployment.mdp:
	* gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.FileReplaceDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.InstallDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.EntrySelectionTree.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.SourcesZipEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.PackagingFeatureWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.BinariesZipEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.CommandDeployEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.FileCopyConfigurationSelector.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.LocalFileCopyConfigurationEditorWidget.cs:
	* gtk-gui/MonoDevelop.Deployment.Gui.SshFuseFileCopyConfigurationEditorWidget.cs:
	Updated generated code and removed objects.xml, which is not required
	anymore.

2008-12-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.addin.xml: Fix label.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.mdp: No specific version of Mono.Addins is
	required.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.addin.xml: Hide/protect add-ins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic: Flush.

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Deployment.Gui/DeployFileListWidget.cs: Null check to
	prevent NRE.

2008-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build dependencies.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Deployment.addin.xml: Bump MD version.

2008-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment/MD1Serializer.cs: Another shot at BuildAction
	  mapping, with comments.

2008-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment/MD1Serializer.cs: Add missing deploy key,
	  remove unused variable.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment.addin.xml, MonoDevelop.Deployment.mdp,
	  MonoDevelop.Deployment/MD1Serializer.cs,
	  MonoDevelop.Deployment/DefaultDeployServiceExtension.cs,
	  MonoDevelop.Deployment/DeployProjectServiceExtension.cs,
	  MonoDevelop.Deployment/DeployContext.cs,
	  MonoDevelop.Deployment/DeployProperties.cs,
	  MonoDevelop.Deployment.Gui/PropertyProvider.cs, md1format.xml,
	  MonoDevelop.Deployment.Targets/LocalFileCopyHandler.cs: Integrate
	  deployment with the new "local copy" features in core. MD1 format
	  compatibility is a little ugly.
	* Makefile.am: Added quick property for enabling translation of files.
	  Supports multi-select.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.mdp: Updated projects.

2008-09-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Add icon for Create Package
	  command.
	* MonoDevelop.Deployment/DefaultDeployServiceExtension.cs: Fix bug
	  #422764 - Support "App.config" as well as "app.config" (lowercase)

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Deployment.Gui.InstallDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EntrySelectionTree.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.LocalFileCopyConfigurationEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.BinariesZipEditorWidget.cs,
	  gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.Deployment.Gui.FileCopyConfigurationSelector.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.PackagingFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.CommandDeployEditorWidget.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Deployment.FileReplaceDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.SshFuseFileCopyConfigurationEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.SourcesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/SourcesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/EntrySelectionTree.cs,
	  MonoDevelop.Deployment.Gui/BinariesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/DeployFileListWidget.cs,
	  MonoDevelop.Deployment.Gui/FileCopyConfigurationSelector.cs,
	  MonoDevelop.Deployment.Gui/PackagingFeatureWidget.cs: Updated
	  generated code.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs,
	  MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs: Moved
	  the extensible tree view to its own directory.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Deployment.mdp: Removed some parts of the documentation
	  service.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* md1format.xml,
	  MonoDevelop.Deployment.Targets/BaseFuseFileCopyConfiguration.cs,
	  MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/CommandPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/LocalFileCopyConfiguration.cs,
	  MonoDevelop.Deployment.Targets/SourcesZipPackageBuilder.cs,
	  MonoDevelop.Deployment/DeployService.cs,
	  MonoDevelop.Deployment/FileCopyConfiguration.cs,
	  MonoDevelop.Deployment/InstallResolver.cs,
	  MonoDevelop.Deployment/MD1Serializer.cs,
	  MonoDevelop.Deployment/Package.cs,
	  MonoDevelop.Deployment/PackageBuilder.cs,
	  MonoDevelop.Deployment/PackageCollection.cs,
	  MonoDevelop.Deployment/PackagingProject.cs,
	  MonoDevelop.Deployment/UnknownFileCopyConfiguration.cs,
	  MonoDevelop.Deployment/UnknownPackageBuilder.cs: Moved
	  serialization engine to MonoDevelop.Core. Use new syntax for
	  specifying attribute scope.

2008-06-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Add missing serializable type.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DefaultDeployServiceExtension.cs,
	  MonoDevelop.Deployment/DeployProjectServiceExtension.cs: Some
	  parameter renames to make it more explicit that configuration names
	  refer to solution configurations, not project configurations.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Bump MD version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Gui/DeployFileListWidget.cs,
	  MonoDevelop.Deployment.Gui/DeployDirectoryInfoEditor.cs: Use the
	  OnDestroyed event instead of Dispose, since with the latest changes
	  in gtk#, Dispose is not called anymore when a widget is destroyed.

2008-05-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DeployProjectServiceExtension.cs: Don't deploy
	  files if the build failed.

2008-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Targets/CommandPackageBuilder.cs: Track api
	  changes.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Merged the extension points for
	  project and solution option panels into a single extension point. A
	  single extension point will now be used for all kinds of items.
	  Extension conditions can be used to make panels visible only for
	  some specific item types.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/PackagingProject.cs,
	  MonoDevelop.Deployment/DeployProjectServiceExtension.cs,
	  MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs:
	  Replaced ICompilerResult/DefaultCompilerResult/CompilerResults by a
	  new BuildResult class, which has owner information at error level,
	  so it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml,
	  MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs,
	  MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs,
	  MonoDevelop.Deployment.mdp,
	  MonoDevelop.Deployment/MD1Serializer.cs,
	  MonoDevelop.Deployment/PackagingProject.cs,
	  MonoDevelop.Deployment/DeployService.cs,
	  MonoDevelop.Deployment/DefaultDeployServiceExtension.cs,
	  MonoDevelop.Deployment/UnknownPackageBuilder.cs,
	  MonoDevelop.Deployment/InstallResolver.cs,
	  MonoDevelop.Deployment/IDeployable.cs,
	  MonoDevelop.Deployment/DeployFile.cs,
	  MonoDevelop.Deployment/DeployProjectServiceExtension.cs,
	  MonoDevelop.Deployment/PackageBuilder.cs,
	  MonoDevelop.Deployment/DeployServiceExtension.cs,
	  MonoDevelop.Deployment.Commands/Commands.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.BinariesZipEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs,
	  gtk-gui/gui.stetic, MonoDevelop.Deployment.Gui/DeployDialog.cs,
	  MonoDevelop.Deployment.Gui/SourcesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/EditPackageDialog.cs,
	  MonoDevelop.Deployment.Gui/InstallDialog.cs,
	  MonoDevelop.Deployment.Gui/EntrySelectionTree.cs,
	  MonoDevelop.Deployment.Gui/BinariesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/DeployFileListWidget.cs,
	  MonoDevelop.Deployment.Gui/DeployOperations.cs,
	  MonoDevelop.Deployment.Gui/PackagingFeature.cs,
	  MonoDevelop.Deployment.Gui/PackagingFeatureWidget.cs, Makefile.am,
	  md1format.xml,
	  MonoDevelop.Deployment.Targets/CommandPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/SourcesZipPackageBuilder.cs: New
	  project model changes.

2008-05-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Removed obsolete attributes.

2008-04-15  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment.Targets/LocalFileCopyHandler.cs: Remove extra
	  copy operation, thereby avoiding re-copying entire file every 1 kb,
	  and vastly improving performance on large files. Thanks to
	  firegrass on #MonoDevelop IRC for catching this bug.

2008-03-10  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment.Gui/DialogFileReplacePolicy.cs: Message
	  service is no longer GUI-thread synched, so handle that here
	  instead.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs,
	  MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs, gtk-gui/gui.stetic,
	  MonoDevelop.Deployment.Gui/DialogFileReplacePolicy.cs,
	  MonoDevelop.Deployment.Gui/DeployDialog.cs,
	  MonoDevelop.Deployment.Gui/EditPackageDialog.cs: Worked on gnome hig
	  compliant alerts.

2008-02-23  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Deployment.mdp, Makefile.am: Removed some unused glade and
	  gnome-sharp references (only the unused). But I'll continue to remove
	  glade, we need to lower the dependency tree a bit.

2008-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs,
	  MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs:
	  Handle the delete key in TreeViewPad, so it will work event if the
	  shortcut is not defined.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Structured main menu.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Update MD version.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml, gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.Deployment.Gui/EditDeployTargetDialog.cs: Code cleanup.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Updated add-in category and description.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* templates/PackagingProject.xpt.xml: Make template categories translatable.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.mdp: Updated project files. The order of extended
	  properties won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Deployment.Gui.FileCopyConfigurationSelector.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs, gtk-gui/gui.stetic,
	  MonoDevelop.Deployment.Gui/FileCopyConfigurationSelector.cs: FileCopy*
	  classes need to be public.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml,
	  MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs,
	  MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs,
	  MonoDevelop.Deployment.mdp, MonoDevelop.Deployment/DeployData.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EntrySelectionTree.cs,
	  gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.Deployment.Gui.FileCopyConfigurationSelector.cs,
	  gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.SshFuseFileCopyConfigurationEditorWidget.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.Deployment.Gui/SshFuseFileCopyConfigurationEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/SourcesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/LocalFileCopyConfigurationEditor.cs,
	  MonoDevelop.Deployment.Gui/LocalFileCopyConfigurationEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/BinariesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/PackagingFeature.cs,
	  MonoDevelop.Deployment.Gui/FileCopyConfigurationSelector.cs,
	  MonoDevelop.Deployment.Gui/DeployDirectoryInfoEditor.cs,
	  MonoDevelop.Deployment.Gui/CommandDeployEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/PackageBuilderEditor.cs,
	  MonoDevelop.Deployment.Gui/SshFuseFileCopyConfigurationEditor.cs,
	  Makefile.am,
	  MonoDevelop.Deployment.Targets/LocalFileCopyConfiguration.cs,
	  MonoDevelop.Deployment.Targets/BaseFuseFileCopyConfiguration.cs,
	  MonoDevelop.Deployment.Targets/CommandPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/LocalFileCopyHandler.cs,
	  MonoDevelop.Deployment.Targets/BaseFuseFileCopyHandler.cs,
	  MonoDevelop.Deployment.Targets/SourcesZipPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/SshFuseFileCopyHandler.cs: API cleanup.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DeployDirectoryNodeType.cs,
	  MonoDevelop.Deployment/DeployPlatformNodeType.cs: Fix warning.
	* gtk-gui/objects.xml, gtk-gui/gui.stetic: Updated.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml, MonoDevelop.Deployment.mdp,
	  gtk-gui/gui.stetic, Makefile.am: Directory reorganization.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DeployDirectoryNodeType.cs,
	  MonoDevelop.Deployment/DeployPlatformNodeType.cs: Make some attributes
	  localizable.
	* MonoDevelop.Deployment/PackageBuilder.cs: Added some null checks.
	* gtk-gui/objects.xml: Updated.
	* MonoDevelop.Deployment.Gui/EntrySelectionTree.cs: Avoid nullref when
	  creating the project.
	* MonoDevelop.Deployment.Gui/PackagingFeature.cs,
	  MonoDevelop.Deployment.Gui/PackagingFeatureWidget.cs: Show the packaging
	  feature widget when creating a new packaging project.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment/DeployContext.cs,
	  MonoDevelop.Deployment.Targets/SshFuseFileCopyHandler.cs,
	  MonoDevelop.Deployment.Gui/PackageBuilderEditor.cs: Track LoggingService
	  API changes.

2007-11-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.Gui/DeployDialog.cs,
	  MonoDevelop.Deployment.Gui/EntrySelectionTree.cs,
	  MonoDevelop.Deployment.Gui/PackagingFeatureWidget.cs,
	  MonoDevelop.Deployment/PackageBuilder.cs: Use RootCombine instead of
	  CurrentOpenCombine when possible.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Bump MD version.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml, MonoDevelop.Deployment.mdp,
	  gtk-gui/objects.xml, Makefile.am, icons/packaging-project-16.png,
	  icons/packaging-32.png, icons/packaging-16.png,
	  icons/packaging-project-32.png, templates/PackagingProject.xpt.xml:
	  Updated project icons. Use the base project icon with an overlay to show
	  the type.
	* MonoDevelop.Deployment.Gui/EntrySelectionTree.cs: Track api changes.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml, gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs,
	  gtk-gui/gui.stetic: Updated.
	* MonoDevelop.Deployment.Gui/PackagingFeature.cs: Track api changes. Add
	  description property.
	* MonoDevelop.Deployment.Gui/PackagingFeatureWidget.cs: If the only option
	  is to create a new packaging project, don't show a checkbox, a label is
	  enough.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.mdp: Project file names updated by change in MD
	  path functions.

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Deployment/InstallResolver.cs,
	  MonoDevelop.Deployment/DeployFile.cs,
	  MonoDevelop.Deployment/DeployProjectServiceExtension.cs,
	  MonoDevelop.Deployment/PackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/SourcesZipPackageBuilder.cs: Applied
	  changes that were neccassary for to the new FileService.

2007-10-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment.addin.xml, MonoDevelop.Deployment.mdp,
	  gtk-gui/objects.xml, gtk-gui/gui.stetic, Makefile.am: Updated.
	* gtk-gui/MonoDevelop.Deployment.Gui.SshFuseFileCopyConfigurationEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/SshFuseFileCopyConfigurationEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/SshFuseFileCopyConfigurationEditor.cs: New
	  widget for editing SSH FUSE copy config.
	* MonoDevelop.Deployment.Gui/DialogFileReplacePolicy.cs: Remove old code.
	* MonoDevelop.Deployment.Gui/LocalFileCopyConfigurationEditor.cs,
	  MonoDevelop.Deployment.Targets/LocalFileCopyConfiguration.cs,
	  MonoDevelop.Deployment.Targets/BaseFuseFileCopyConfiguration.cs,
	  MonoDevelop.Deployment.Targets/LocalFileCopyHandler.cs,
	  MonoDevelop.Deployment.Targets/BaseFuseFileCopyHandler.cs: Base work to
	  support FUSE file copiers.
	* MonoDevelop.Deployment.Targets/SshFuseFileCopyHandler.cs: New file deploy
	  handler that copies files over an SSH FUSE connection to a remote
	  computer.

2007-09-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Deployment.mdp,
	  gtk-gui/MonoDevelop.Deployment.Gui.EntrySelectionTree.cs,
	  gtk-gui/objects.xml, gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs,
	  gtk-gui/gui.stetic, Makefile.am: Updated.
	* MonoDevelop.Deployment/DeployService.cs: Actually register to handle file
	  copier extensions.
	* MonoDevelop.Deployment/IFileCopyHandler.cs,
	  MonoDevelop.Deployment/FileCopyHandler.cs: Pass DeployContext in
	  CopyFiles operation so that directories can be resolved.
	* MonoDevelop.Deployment/UnknownFileCopyConfiguration.cs: New
	  FriendlyLocation property that specifies how the location should be
	  shown to the user.
	* MonoDevelop.Deployment/FileCopyConfiguration.cs: Implement
	  FriendlyLocation. Track API change in CopyFiles.
	* MonoDevelop.Deployment/IFileReplacePolicy.cs: Name FileReplaceMode = 0 as
	  NotSet.
	* gtk-gui/MonoDevelop.Deployment.Gui.FileCopyConfigurationSelector.cs,
	  MonoDevelop.Deployment.Gui/FileCopyConfigurationSelector.cs: Make
	  public.
	* gtk-gui/MonoDevelop.Deployment.FileReplaceDialog.cs,
	  MonoDevelop.Deployment.Gui/DialogFileReplacePolicy.cs,
	  MonoDevelop.Deployment.Gui/FileReplaceDialog.cs: Much, much better
	  dialog IFileReplacePolicy implementation.
	* MonoDevelop.Deployment.Targets/LocalFileCopyConfiguration.cs: Implement
	  FriendlyLocation. Make TargetLocation virtual so that inheriting classes
	  can override it in order that it's handled correctly by the
	  LocalFileCopyHandler.
	* MonoDevelop.Deployment.Targets/LocalFileCopyHandler.cs: Update handler so
	  it can report progress to monitor, and also gives much better feedback
	  on problems. Use DeployContext to look up target directories.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml, gtk-gui/gui.stetic: Bump MD version.

2007-09-20  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Deployment.Gui.FileCopyConfigurationSelector.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.PackagingFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.InstallDialog.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.CommandDeployEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EntrySelectionTree.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.LocalFileCopyConfigurationEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.BinariesZipEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.SourcesZipEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs: Regenerated gui
	  files.

2007-09-15  Andrés G. Aragoneses <knocte@gmail.com>

	* gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs:
	* gtk-gui/gui.stetic: Don't translate "page#" texts.

2007-09-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Cosmetic fix in command label.

2007-08-23  Marcos David Marín Amador <MarcosMarin@gmail.com>

	* MonoDevelop.Deployment/InstallResolver.cs: Added support for
	  targets Include and IncludeRoot.

	* MonoDevelop.Deployment/TargetDirectory.cs: Added targets Include
	  and IncludeRoot.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Removed the CommandService class.
	  Everything is done directly with CommandManager. Moved all extension
	  node types to MD.Components.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml,
	  MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs,
	  MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs,
	  MonoDevelop.Deployment.mdp, MonoDevelop.Deployment/DeployService.cs,
	  gtk-gui/objects.xml,
	  MonoDevelop.Deployment.Gui/FileCopyConfigurationSelector.cs,
	  MonoDevelop.Deployment.Gui/PackageBuilderEditor.cs, Makefile.am:
	  Reorganized the extension point hierarchy. Embedded all add-in manifests
	  as resources.

2007-08-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs,
	  MonoDevelop.Deployment.NodeBuilders/PackagingProjectNodeBuilder.cs:
	  Converted DispatchService to a static class.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DeployContext.cs: Fix build.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DeployContext.cs,
	  MonoDevelop.Deployment.Gui/PackageBuilderEditor.cs: Use the log
	  service for logging errors.

2007-07-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/InstallResolver.cs,
	  MonoDevelop.Deployment/DeployFile.cs,
	  MonoDevelop.Deployment/DeployProperties.cs,
	  MonoDevelop.Deployment.Gui/PropertyProvider.cs: Added property for
	  specifying the attributes that the deployed file will have.
	* gtk-gui/objects.xml, gtk-gui/gui.stetic: Updated.

2007-06-11  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs,
	  gtk-gui/gui.stetic: Updated.

2007-06-06  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/objects.xml, gtk-gui/gui.stetic: Updated.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.Deployment.Gui.FileCopyConfigurationSelector.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.PackagingFeatureWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.InstallDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.CommandDeployEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EntrySelectionTree.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.LocalFileCopyConfigurationEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.BinariesZipEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.SourcesZipEditorWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs: Made
	  private gui components internal.

2007-05-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DeployService.cs: Handle add-in unloading.
	* gtk-gui/gui.stetic, MonoDevelop.Deployment.Gui/DeployDialog.cs,
	  MonoDevelop.Deployment.Gui/SourcesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/EditPackageDialog.cs,
	  MonoDevelop.Deployment.Gui/InstallDialog.cs,
	  MonoDevelop.Deployment.Gui/EntrySelectionTree.cs,
	  MonoDevelop.Deployment.Gui/LocalFileCopyConfigurationEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/BinariesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/DeployFileListWidget.cs,
	  MonoDevelop.Deployment.Gui/FileCopyConfigurationSelector.cs,
	  MonoDevelop.Deployment.Gui/PackagingFeatureWidget.cs,
	  MonoDevelop.Deployment.Gui/CommandDeployEditorWidget.cs: Made gui
	  classes internal.

2007-05-22  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Deployment.Gui/DeployOperations.cs (Install):
	Destroy dialog in finally block.
	(ShowPackageSettings): Likewise.

2007-05-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Register the new property.

2007-05-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DeployProperties.cs: Added
	  UseProjecRelativePath property. When set, the file will be deployed
	  to the same relative path it has in the project.
	* MonoDevelop.Deployment.Gui/PropertyProvider.cs: Use a custom type
	  descriptor. Disable the deploy properties when the file is not set
	  for deployment.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.mdp: Don't copy project references.

2007-05-10  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.Deployment.mdp: Add MonoDevelop.Deployment.addin.xml
	  back to the file list, but exclude from makefile synching.

2007-05-09  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.Deployment/Makefile.am: Eliminate duplication of 
	MonoDevelop.Deployment.addin.xml target.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml: Added missing dependency.
	* MonoDevelop.Deployment.mdp, Makefile.am: Reference shared assemblies
	  from the correct location.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DeployProjectServiceExtension.cs: Avoid
	  copying files when the target destination is the same file.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml, MonoDevelop.Deployment.mdp,
	  MonoDevelop.Deployment/DeployService.cs,
	  MonoDevelop.Deployment/DeployDirectoryNodeType.cs,
	  MonoDevelop.Deployment/DeployPlatformNodeType.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.InstallDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.Deployment.Gui/FileCopyConfigurationSelector.cs,
	  MonoDevelop.Deployment.Gui/PackageBuilderEditor.cs, Makefile.am:
	  Migration to Mono.Addins.

2007-04-27  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml, MonoDevelop.Deployment.mdp,
	  MonoDevelop.Deployment/DeployService.cs,
	  MonoDevelop.Deployment/DeployProjectServiceExtension.cs,
	  Makefile.am: After building a project, copy to the output directory
	  all files marked with the deploy flag.
	* MonoDevelop.Deployment/DefaultDeployServiceExtension.cs: Rename
	  app.config files to <assembly-name>.config when deploying.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/PackageBuilder.cs: Avoid including duplicated
	  entries to the package builder.
	* MonoDevelop.Deployment.Gui/DeployDialog.cs: Minor fix.
	* MonoDevelop.Deployment.Gui/SourcesZipEditorWidget.cs: Properly select
	  the default format (comparison is done now by name, since the file
	  formant instances may be different).
	* MonoDevelop.Deployment.Gui/EntrySelectionTree.cs: Don't explicitely
	  exclude PackagingProjects. The package builders will do it.
	* MonoDevelop.Deployment.Gui/PackagingFeatureWidget.cs: Include the
	  parent combine in new packages.
	* MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs: Don't
	  allow including PackagingProjects in the archive. Compile the
	  project before generating the package.
	* MonoDevelop.Deployment.Targets/SourcesZipPackageBuilder.cs: Use the
	  file format of the source project by default.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.addin.xml,
	  gtk-gui/MonoDevelop.Deployment.Gui.PackagingFeatureWidget.cs,
	  gtk-gui/gui.stetic, MonoDevelop.Deployment.Gui/PackagingFeature.cs,
	  MonoDevelop.Deployment.Gui/PackagingFeatureWidget.cs: Implemented a
	  project feature which allows creating packages for new projects.
	* MonoDevelop.Deployment.NodeBuilders/PackageNodeBuilder.cs: Show the
	  package type name if it is different from the package name.
	* MonoDevelop.Deployment.mdp, Makefile.am: Added new files.
	* MonoDevelop.Deployment/DeployService.cs: Added method for getting the
	  extension of an archive.
	* MonoDevelop.Deployment/PackageBuilder.cs: Added DefaultName and
	  CreateDefaultBuilders(). Implemented method for add-in new combine
	  entries to the builder.
	* gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/objects.xml: Updated.
	* MonoDevelop.Deployment.Gui/DeployDialog.cs: Minor fixes.
	* MonoDevelop.Deployment.Gui/EntrySelectionTree.cs: Moved common
	  combine selection code to PackageBuilder.
	* MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/SourcesZipPackageBuilder.cs:
	  Implemented DefaultName and CreateDefaultBuilders().
	* BinariesZipEditorWidget.cs: Moved to GUI directory.

2007-04-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/PackagingProject.cs,
	  MonoDevelop.Deployment.Commands/Commands.cs: Provide the package
	  name when creating a new package.
	* MonoDevelop.Deployment/DeployService.cs: In GetDeployFiles, remove
	  files excluded by the deploy context.
	* MonoDevelop.Deployment/DefaultDeployServiceExtension.cs: Clone the
	  file list returned by IDeployable, since the list is going to be
	  modified.
	* MonoDevelop.Deployment/DeployFile.cs: Added copy constructor.
	* MonoDevelop.Deployment/DeployContext.cs: Added method which allows
	  filtering the deploy file list.
	* MonoDevelop.Deployment/PackageBuilder.cs: Added property which allows
	  specifying files which have to be excluded from the package. If a
	  combine is open in the IDE, try to get combine entries to package
	  from it.
	* MonoDevelop.Deployment/DeployProperties.cs: TargetDirectory now
	  returns ProgramFiles by default.
	* gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs: Removed the
	  Add button.
	* gtk-gui/objects.xml: Updated.
	* gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.Deployment.Gui/EditPackageDialog.cs,
	  MonoDevelop.Deployment.Gui/EntrySelectionTree.cs: Added a page for
	  selecting the combine entries to deploy.
	* MonoDevelop.Deployment.Gui/DeployFileListWidget.cs: Allow selecting
	  the files to deploy.
	* MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs: Track
	  api changes.
	* MonoDevelop.Deployment.Targets/SourcesZipPackageBuilder.cs: Source
	  package don't need a deploy context.

2007-04-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment.mdp, Makefile.am: Updated.
	* MonoDevelop.Deployment/PackagingProject.cs,
	  MonoDevelop.Deployment/Package.cs,
	  MonoDevelop.Deployment/PackageBuilder.cs: Store the path to the
	  entry to package in the package builder. Allow specifying a list of
	  child entries to be included in the package, in this way it is
	  possible to create packages which include only some of the
	  projects.
	* MonoDevelop.Deployment/DeployService.cs,
	  MonoDevelop.Deployment/DeployServiceExtension.cs,
	  MonoDevelop.Deployment.Commands/Commands.cs,
	  MonoDevelop.Deployment.Gui/SourcesZipEditorWidget.cs,
	  MonoDevelop.Deployment.Gui/IPackageBuilderEditor.cs,
	  MonoDevelop.Deployment.Gui/PackageBuilderEditor.cs,
	  MonoDevelop.Deployment.Targets/CommandPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/BinariesZipPackageBuilder.cs,
	  MonoDevelop.Deployment.Targets/SourcesZipPackageBuilder.cs: The
	  combine entry to package (and the child entries to include) are now
	  part of the package builder configuration.
	* MonoDevelop.Deployment/DefaultDeployServiceExtension.cs: Provide the
	  source project in the deploy file constructor.
	* MonoDevelop.Deployment/UnknownPackageBuilder.cs,
	  MonoDevelop.Deployment/InstallResolver.cs,
	  BinariesZipEditorWidget.cs: Track api changes.
	* MonoDevelop.Deployment/DeployFile.cs: Added SourceCombineEntry, which
	  returns the combine entry which generated this file, and
	  DisplayName, which is a descriptive name of the file.
	* gtk-gui/MonoDevelop.Deployment.Gui.InstallDialog.cs,
	  gtk-gui/MonoDevelop.Deployment.DeployFileListWidget.cs,
	  gtk-gui/MonoDevelop.Deployment.Gui.DeployDialog.cs,
	  gtk-gui/objects.xml,
	  gtk-gui/MonoDevelop.Deployment.Gui.EditPackageDialog.cs,
	  gtk-gui/gui.stetic: Implemented new deploy file list widget.
	  Changed order of steps in the package creation wizard.
	* MonoDevelop.Deployment.Gui/DeployDialog.cs: Changed the order of some
	  steps. The first step is now selecting the package type, and the
	  second step is selecting the projects/solutions to include in the
	  package.
	* MonoDevelop.Deployment.Gui/EditPackageDialog.cs,
	  MonoDevelop.Deployment.Gui/DeployFileListWidget.cs: Added a new
	  view which shows the list of files to be deployed.
	* MonoDevelop.Deployment.Gui/EntrySelectionTree.cs: Allow selecting
	  multiple projects/solutions.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com>

	New deployment add-in. Some classes have been moved from MonoDevelop.Projects.

